namespace KKeyServer

# namespace KKeyServer | A collection of functions for the conversion of key presses and their modifiers from the window system (X11) specific format to the generic format and vice-versa. More...
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Types

- enum ExtraModFlag { MODE_SWITCH = 0x2000 }
- struct Sym
- struct Key
- struct Variations

#### Public Methods

- bool initializeMods ()
- uint modX ( KKey::ModFlag modFlag )
- bool keyboardHasWinKey ()
- uint modXShift ()
- uint modXLock ()
- uint modXCtrl ()
- uint modXAlt ()
- uint modXNumLock ()
- uint modXWin ()
- uint modXScrollLock ()
- uint accelModMaskX ()
- bool keyQtToSym ( int keyQt, uint& sym )
- bool keyQtToMod ( int keyQt, uint& mod )
- bool symToKeyQt ( uint sym, int& keyQt )
- bool modToModQt ( uint mod, int& modQt )
- bool modToModX ( uint mod, uint& modX )
- bool modXToModQt ( uint modX, int& modQt )
- bool modXToMod ( uint modX, uint& mod )
- bool codeXToSym ( uchar codeX, uint modX, uint& symX )
- QString modToStringInternal ( uint mod )
- QString modToStringUser ( uint mod )
- bool stringToSymMod ( const QString&, uint& sym, uint& mod )
- void keyQtToKeyX ( uint keyCombQt, unsigned char *pKeyCodeX, uint *pKeySymX, uint *pKeyModX )

## Detailed Description

A collection of functions for the conversion of key presses and their modifiers from the window system (X11) specific format to the generic format and vice-versa.

enum ExtraModFlag { MODE_SWITCH = 0x2000 } | ### ExtraModFlag

Supplement enum KKey::ModFlag

Sym (struct) | ### Sym

Represents a key symbol.

See also: KKey, KKeyServer

Key (struct) | ### Key

Represents a key press.

See also: KKey

Variations (struct) | ### Variations

TODO: please document this class

bool initializeMods () | ### initializeMods

uint modX ( KKey::ModFlag modFlag ) | ### modX

Returns the equivalent X modifier mask of the given modifier flag.

Parameters:

modFlag | the generic flags to check

Returns: the window system specific flags

bool keyboardHasWinKey () | ### keyboardHasWinKey

Returns true if the current keyboard layout supports the Win key. Specifically, whether the Super or Meta keys are assigned to an X modifier.

Returns: true if the keyboard has a Win key

See also: modXWin()

uint modXShift () | ### modXShift

Returns the X11 Shift modifier mask/flag.

Returns: the X11 Shift modifier mask/flag.

See also: accelModMaskX()

uint modXLock () | ### modXLock

Returns the X11 Lock modifier mask/flag.

Returns: the X11 Lock modifier mask/flag.

See also: accelModMaskX()

uint modXCtrl () | ### modXCtrl

Returns the X11 Ctrl modifier mask/flag.

Returns: the X11 Ctrl modifier mask/flag.

See also: accelModMaskX()

uint modXAlt () | ### modXAlt

Returns the X11 Alt (Mod1) modifier mask/flag.

Returns: the X11 Alt (Mod1) modifier mask/flag.

See also: accelModMaskX()

uint modXNumLock () | ### modXNumLock

Returns the X11 NumLock modifier mask/flag.

Returns: the X11 NumLock modifier mask/flag.

See also: accelModMaskX()

uint modXWin () | ### modXWin

Returns the X11 Win (Mod3) modifier mask/flag.

Returns: the X11 Win (Mod3) modifier mask/flag.

See also: keyboardHasWinKey(), accelModMaskX()

uint modXScrollLock () | ### modXScrollLock

Returns the X11 ScrollLock modifier mask/flag.

Returns: the X11 ScrollLock modifier mask/flag.

See also: accelModMaskX()

uint accelModMaskX () | ### accelModMaskX

Returns bitwise OR'ed mask containing Shift, Ctrl, Alt, and Win (if available).

See also: modXShift(), modXLock(), modXCtrl(), modXAlt(), modXNumLock(), modXWin(), modXScrollLock()

bool keyQtToSym ( int keyQt, uint& sym ) | ### keyQtToSym

Extracts the symbol from the given Qt key and converts it to a symbol.

Parameters:

keyQt | the qt key code
sym | if successful, the symbol will be written here

Returns: true if successful, false otherwise

See also: Qt::Key, Sym

bool keyQtToMod ( int keyQt, uint& mod ) | ### keyQtToMod

Extracts the modifiers from the given Qt key and converts them in a mask of ORed KKey::ModFlag modifiers.

Parameters:

keyQt | the qt key code
mod | if successful, the modifiers will be written here

Returns: true if successful, false otherwise

See also: Qt::Key

bool symToKeyQt ( uint sym, int& keyQt ) | ### symToKeyQt

Converts the given symbol to a Qt key code.

Parameters:

sym | the symbol
keyQt | if successful, the qt key code will be written here

Returns: true if successful, false otherwise

See also: Qt::Key, Sym

bool modToModQt ( uint mod, int& modQt ) | ### modToModQt

Converts the mask of ORed KKey::ModFlag modifiers to a mask of ORed Qt key code modifiers.

Parameters:

the | mask of KKey::ModFlag modifiers
the | mask of Qt key code modifiers will be written here, if successful

Returns: true if successful, false otherwise

See also: KKey, KKey

bool modToModX ( uint mod, uint& modX ) | ### modToModX

Converts the mask of ORed KKey::ModFlag modifiers to a mask of ORed X11 modifiers.

Parameters:

the | mask of KKey::ModFlag modifiers
the | mask of X11 modifiers will be written here, if successful

Returns: true if successful, false otherwise

See also: KKey

bool modXToModQt ( uint modX, int& modQt ) | ### modXToModQt

Converts the mask of ORed X11 modifiers to a mask of ORed Qt key code modifiers.

Parameters:

the | mask of X11 modifiers
the | mask of Qt key code modifiers will be written here if successful

Returns: true if successful, false otherwise

See also: Qt::Key

bool modXToMod ( uint modX, uint& mod ) | ### modXToMod

Converts the mask of ORed X11 modifiers to a mask of ORed KKey::ModFlag modifiers.

Parameters:

the | mask of X11 modifiers
the | mask of KKey::ModFlag modifiers will be written here, if successful

Returns: true if successful, false otherwise

See also: KKey

bool codeXToSym ( uchar codeX, uint modX, uint& symX ) | ### codeXToSym

Converts a X11 key code and a mask of ORed X11 modifiers into a X11 symbol. converts it to a symbol.

Parameters:

codeX | the X11 key code
modX | the mask of ORed X11 modifiers
sym | if successful, the X11 symbol will be written here

Returns: true if successful, false otherwise

See also: Qt::Key, Sym

QString modToStringInternal ( uint mod ) | ### modToStringInternal

QString modToStringUser ( uint mod ) | ### modToStringUser

Converts the mask of ORed KKey::ModFlag modifiers to a user-readable string.

Parameters:

mod | the mask of ORed KKey::ModFlag modifiers

Returns: the user-readable string

bool stringToSymMod ( const QString&, uint& sym, uint& mod ) | ### stringToSymMod

Unimplemented?

void keyQtToKeyX ( uint keyCombQt, unsigned char *pKeyCodeX, uint *pKeySymX, uint *pKeyModX ) | ### keyQtToKeyX

Unimplemented?

Generated by: root on macppc.ports.openbsd.org on Sat Sep 6 10:36:15 2003, using kdoc 2.0a54.